Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.io
Class URIResolverAdapter

    java.lang.Object
      org.apache.xmlgraphics.io.URIResolverAdapter

All Implemented Interfaces:
  ResourceResolver

    public class URIResolverAdapter

extends java.lang.Object
implements ResourceResolver

An adapter between `URIResolver` to `ResourceResolver`. This adapter allows users to utilize the resolvers from the XML library for resource acquisition.

Constructor Summary
`URIResolverAdapter(javax.xml.transform.URIResolver resolver)`

Method Summary
`java.io.OutputStream` | `getOutputStream(java.net.URI uri)` Gets an output stream of a given URI.
`Resource` | `getResource(java.net.URI uri)` Get a resource given the URI pointing to said resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIResolverAdapter

    public URIResolverAdapter(javax.xml.transform.URIResolver resolver)

Parameters:
  `resolver` - the desired `URIResolver`

Method Detail

### getResource

    public Resource getResource(java.net.URI uri)
                         throws java.io.IOException

  Get a resource given the URI pointing to said resource.

  Specified by:
    `getResource` in interface `ResourceResolver`
  Parameters:
    `uri` - the resource URI
  Returns:
    the resource
  Throws:
    `java.io.IOException` - if an I/O error occured during resource acquisition

### getOutputStream

    public java.io.OutputStream getOutputStream(java.net.URI uri)
                                         throws java.io.IOException

  Gets an output stream of a given URI.

  Specified by:
    `getOutputStream` in interface `ResourceResolver`
  Parameters:
    `uri` - the output stream URI
  Returns:
    the output stream
  Throws:
    `java.io.IOException` - if an I/O error occured while creating an output stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.